public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2021-11-26 13:08 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2021-11-26 13:08 UTC (permalink / raw
  To: gentoo-commits

commit:     5893d61a895b2c428d465dba6fe5a3109659fd6c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 26 12:37:07 2021 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Nov 26 13:08:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5893d61a

sci-mathematics/mathlib-tools: new package; add version 1.1.0

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.1.0.ebuild       | 49 ++++++++++++++++++++++
 sci-mathematics/mathlib-tools/metadata.xml         | 19 +++++++++
 3 files changed, 69 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
new file mode 100644
index 000000000000..4ab66c9a9e5d
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -0,0 +1 @@
+DIST mathlib-tools-1.1.0.tar.gz 32374 BLAKE2B f470927cae1dc66478efd44de6a5fd7c8df9656351ee342d14a1e75e8774383616cedf01b21ef1b92220fb03b1f1ccb326e3363dd0fec4fb5876f43c5ddb4010 SHA512 bc59d2e41c42ecc22c5768ac3adb209f0b170e2e97fe68483d8518b78a6b4fa163c1d46e4e3996c6f3e0aaa329c642fd111b3e16d850f40b6edc81c81215d03f

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild
new file mode 100644
index 000000000000..ce6f9c8adf9e
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=(python3_{8,9})
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ "${PV}" == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+DEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${DEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}

diff --git a/sci-mathematics/mathlib-tools/metadata.xml b/sci-mathematics/mathlib-tools/metadata.xml
new file mode 100644
index 000000000000..f91e58a755f7
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/metadata.xml
@@ -0,0 +1,19 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="person">
+    <email>xgqt@gentoo.org</email>
+    <name>Maciej Barć</name>
+  </maintainer>
+  <longdescription lang="en">
+    This package contains leanproject, a supporting tool for Lean mathlib.
+    More info:
+    - https://leanprover-community.github.io/toolchain.html#handling-dependencies
+    - https://leanprover-community.github.io/leanproject.html
+  </longdescription>
+  <upstream>
+    <bugs-to>https://github.com/leanprover-community/mathlib-tools/issues</bugs-to>
+    <remote-id type="github">leanprover-community/mathlib-tools</remote-id>
+  </upstream>
+</pkgmetadata>


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2021-12-25 20:46 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2021-12-25 20:46 UTC (permalink / raw
  To: gentoo-commits

commit:     6e719e80f941f2faaa0694af1f33d96e6292a7c5
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 25 20:41:03 2021 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Dec 25 20:41:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e719e80

sci-mathematics/mathlib-tools: change maintainer to Gentoo Mathematics Project

Package-Manager: Portage-3.0.28, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/metadata.xml | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/metadata.xml b/sci-mathematics/mathlib-tools/metadata.xml
index f91e58a755f7..9859ea5c8b42 100644
--- a/sci-mathematics/mathlib-tools/metadata.xml
+++ b/sci-mathematics/mathlib-tools/metadata.xml
@@ -2,11 +2,11 @@
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 
 <pkgmetadata>
-  <maintainer type="person">
-    <email>xgqt@gentoo.org</email>
-    <name>Maciej Barć</name>
+  <maintainer type="project">
+    <email>sci-mathematics@gentoo.org</email>
+    <name>Gentoo Mathematics Project</name>
   </maintainer>
-  <longdescription lang="en">
+  <longdescription>
     This package contains leanproject, a supporting tool for Lean mathlib.
     More info:
     - https://leanprover-community.github.io/toolchain.html#handling-dependencies


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-03-08 14:24 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-03-08 14:24 UTC (permalink / raw
  To: gentoo-commits

commit:     720e983621eff779b9f7c71f9d6a7a0e3bb9e13a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  8 14:24:48 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar  8 14:24:48 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=720e9836

sci-mathematics/mathlib-tools: add changelog link

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/metadata.xml | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sci-mathematics/mathlib-tools/metadata.xml b/sci-mathematics/mathlib-tools/metadata.xml
index d2b17cbe5953..c2598dacd8a7 100644
--- a/sci-mathematics/mathlib-tools/metadata.xml
+++ b/sci-mathematics/mathlib-tools/metadata.xml
@@ -13,6 +13,7 @@
     - https://leanprover-community.github.io/leanproject.html
   </longdescription>
   <upstream>
+    <changelog>https://github.com/leanprover-community/mathlib-tools/blob/master/CHANGELOG.md</changelog>
     <bugs-to>https://github.com/leanprover-community/mathlib-tools/issues</bugs-to>
     <remote-id type="github">leanprover-community/mathlib-tools</remote-id>
   </upstream>


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-03-08 23:29 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-03-08 23:29 UTC (permalink / raw
  To: gentoo-commits

commit:     f9d60b100e77c67a45006729332f86131d7b4e6d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  8 23:26:57 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar  8 23:26:57 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9d60b10

sci-mathematics/mathlib-tools: bump to 1.1.1

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.1.1.ebuild       | 49 ++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 4ab66c9a9e5d..ae52335bd324 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1 +1,2 @@
 DIST mathlib-tools-1.1.0.tar.gz 32374 BLAKE2B f470927cae1dc66478efd44de6a5fd7c8df9656351ee342d14a1e75e8774383616cedf01b21ef1b92220fb03b1f1ccb326e3363dd0fec4fb5876f43c5ddb4010 SHA512 bc59d2e41c42ecc22c5768ac3adb209f0b170e2e97fe68483d8518b78a6b4fa163c1d46e4e3996c6f3e0aaa329c642fd111b3e16d850f40b6edc81c81215d03f
+DIST mathlib-tools-1.1.1.tar.gz 32456 BLAKE2B 2cb81a6072aecc8a9c298c8bd0ac2edc7f44fecd290add5254a0c35b5e16fca4cfef32727acff883366d99101f7e62ad12709e59b317e34547fa49c404600366 SHA512 17e6105d48071ab41aaa436d3fd35774227b242e6026b30ac82fd0b4f7ea8310a9bc0abe6abe5eca3e77ec62d6a48e7584222381dc7071803215cc3189ce973b

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1.ebuild
new file mode 100644
index 000000000000..9ecb36eac185
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ "${PV}" == *9999* ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+DEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${DEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-03-08 23:29 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-03-08 23:29 UTC (permalink / raw
  To: gentoo-commits

commit:     c092d506c4b893fee053f0185344a0fc6296de34
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Mar  8 23:27:56 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Mar  8 23:27:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c092d506

sci-mathematics/mathlib-tools: add python3.10 compat

Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 .../{mathlib-tools-1.1.0.ebuild => mathlib-tools-1.1.0-r1.ebuild}       | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0-r1.ebuild
similarity index 97%
rename from sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild
rename to sci-mathematics/mathlib-tools/mathlib-tools-1.1.0-r1.ebuild
index 76f08c06d208..9ecb36eac185 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0-r1.ebuild
@@ -3,7 +3,7 @@
 
 EAPI=8
 
-PYTHON_COMPAT=( python3_{8..9} )
+PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-08-26  0:32 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-08-26  0:32 UTC (permalink / raw
  To: gentoo-commits

commit:     048b5cc13c0a62e9104d769b51157c5cf771acf6
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 26 00:15:42 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Aug 26 00:32:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=048b5cc1

sci-mathematics/mathlib-tools: bump to 1.1.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.1.2.ebuild       | 50 ++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index ae52335bd324..6eb9b1e10ad5 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,2 +1,3 @@
 DIST mathlib-tools-1.1.0.tar.gz 32374 BLAKE2B f470927cae1dc66478efd44de6a5fd7c8df9656351ee342d14a1e75e8774383616cedf01b21ef1b92220fb03b1f1ccb326e3363dd0fec4fb5876f43c5ddb4010 SHA512 bc59d2e41c42ecc22c5768ac3adb209f0b170e2e97fe68483d8518b78a6b4fa163c1d46e4e3996c6f3e0aaa329c642fd111b3e16d850f40b6edc81c81215d03f
 DIST mathlib-tools-1.1.1.tar.gz 32456 BLAKE2B 2cb81a6072aecc8a9c298c8bd0ac2edc7f44fecd290add5254a0c35b5e16fca4cfef32727acff883366d99101f7e62ad12709e59b317e34547fa49c404600366 SHA512 17e6105d48071ab41aaa436d3fd35774227b242e6026b30ac82fd0b4f7ea8310a9bc0abe6abe5eca3e77ec62d6a48e7584222381dc7071803215cc3189ce973b
+DIST mathlib-tools-1.1.2.tar.gz 32477 BLAKE2B d49d8b05974b70db52e55dea7fdd91f82b05266a6ab2db50e12963b1d9991500088d4aa897a65c391b82e0996d57f5cad5ade8cc85ae85fccb0a03ed63a2f2c8 SHA512 2c0d4faa7a7610f16eca539f1ee369a18ffb6b947bd0ac55983dee8b651c258b9d1819d066dafcfdaf23e612c6e9fb7a3239ccb0b6ca5e51dabcc761bf9b815a

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2.ebuild
new file mode 100644
index 000000000000..bc7818d3db62
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${BDEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-10-23 11:45 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-10-23 11:45 UTC (permalink / raw
  To: gentoo-commits

commit:     e889e8d9bba989d96676ad04188bf1e30461b36e
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 23 11:45:36 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Oct 23 11:45:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e889e8d9

sci-mathematics/mathlib-tools: add DISTUTILS_USE_PEP517

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 .../{mathlib-tools-1.1.1.ebuild => mathlib-tools-1.1.1-r1.ebuild}        | 1 +
 .../{mathlib-tools-1.1.2.ebuild => mathlib-tools-1.1.2-r1.ebuild}        | 1 +
 2 files changed, 2 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1-r1.ebuild
similarity index 97%
rename from sci-mathematics/mathlib-tools/mathlib-tools-1.1.1.ebuild
rename to sci-mathematics/mathlib-tools/mathlib-tools-1.1.1-r1.ebuild
index 9ecb36eac185..4a38f370ad66 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1-r1.ebuild
@@ -3,6 +3,7 @@
 
 EAPI=8
 
+DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2-r1.ebuild
similarity index 97%
rename from sci-mathematics/mathlib-tools/mathlib-tools-1.1.2.ebuild
rename to sci-mathematics/mathlib-tools/mathlib-tools-1.1.2-r1.ebuild
index bc7818d3db62..e89cd971f102 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2-r1.ebuild
@@ -3,6 +3,7 @@
 
 EAPI=8
 
+DISTUTILS_USE_PEP517=setuptools
 PYTHON_COMPAT=( python3_{8..10} )
 
 inherit distutils-r1


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-10-23 11:45 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-10-23 11:45 UTC (permalink / raw
  To: gentoo-commits

commit:     7b04fb4b3755124d1be8d973b706e6552753271a
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 23 11:44:23 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Oct 23 11:45:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b04fb4b

sci-mathematics/mathlib-tools: drop old 1.1.0-r1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 -
 .../mathlib-tools/mathlib-tools-1.1.0-r1.ebuild    | 49 ----------------------
 2 files changed, 50 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 32a192eb3ca2..3f1a450ccffe 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,4 +1,3 @@
-DIST mathlib-tools-1.1.0.tar.gz 32374 BLAKE2B f470927cae1dc66478efd44de6a5fd7c8df9656351ee342d14a1e75e8774383616cedf01b21ef1b92220fb03b1f1ccb326e3363dd0fec4fb5876f43c5ddb4010 SHA512 bc59d2e41c42ecc22c5768ac3adb209f0b170e2e97fe68483d8518b78a6b4fa163c1d46e4e3996c6f3e0aaa329c642fd111b3e16d850f40b6edc81c81215d03f
 DIST mathlib-tools-1.1.1.tar.gz 32456 BLAKE2B 2cb81a6072aecc8a9c298c8bd0ac2edc7f44fecd290add5254a0c35b5e16fca4cfef32727acff883366d99101f7e62ad12709e59b317e34547fa49c404600366 SHA512 17e6105d48071ab41aaa436d3fd35774227b242e6026b30ac82fd0b4f7ea8310a9bc0abe6abe5eca3e77ec62d6a48e7584222381dc7071803215cc3189ce973b
 DIST mathlib-tools-1.1.2.tar.gz 32477 BLAKE2B d49d8b05974b70db52e55dea7fdd91f82b05266a6ab2db50e12963b1d9991500088d4aa897a65c391b82e0996d57f5cad5ade8cc85ae85fccb0a03ed63a2f2c8 SHA512 2c0d4faa7a7610f16eca539f1ee369a18ffb6b947bd0ac55983dee8b651c258b9d1819d066dafcfdaf23e612c6e9fb7a3239ccb0b6ca5e51dabcc761bf9b815a
 DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0-r1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0-r1.ebuild
deleted file mode 100644
index 9ecb36eac185..000000000000
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.0-r1.ebuild
+++ /dev/null
@@ -1,49 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Development tools for Lean's mathlib"
-HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
-
-if [[ "${PV}" == *9999* ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
-else
-	SRC_URI="https://github.com/leanprover-community/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-DEPEND="
-	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
-	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
-	dev-python/PyGithub[${PYTHON_USEDEP}]
-	dev-python/atomicwrites[${PYTHON_USEDEP}]
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-"
-RDEPEND="
-	${DEPEND}
-	sci-mathematics/lean:0/3
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# Remove problematic tests (mainly issues with network)
-	rm ./tests/test_functional.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-10-23 11:45 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-10-23 11:45 UTC (permalink / raw
  To: gentoo-commits

commit:     80684eade60b4985edfc5ebbbf4a393f2e94da6c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 23 11:42:55 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Oct 23 11:45:56 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80684ead

sci-mathematics/mathlib-tools: bump to 1.2.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.2.0.ebuild       | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 6eb9b1e10ad5..32a192eb3ca2 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,3 +1,4 @@
 DIST mathlib-tools-1.1.0.tar.gz 32374 BLAKE2B f470927cae1dc66478efd44de6a5fd7c8df9656351ee342d14a1e75e8774383616cedf01b21ef1b92220fb03b1f1ccb326e3363dd0fec4fb5876f43c5ddb4010 SHA512 bc59d2e41c42ecc22c5768ac3adb209f0b170e2e97fe68483d8518b78a6b4fa163c1d46e4e3996c6f3e0aaa329c642fd111b3e16d850f40b6edc81c81215d03f
 DIST mathlib-tools-1.1.1.tar.gz 32456 BLAKE2B 2cb81a6072aecc8a9c298c8bd0ac2edc7f44fecd290add5254a0c35b5e16fca4cfef32727acff883366d99101f7e62ad12709e59b317e34547fa49c404600366 SHA512 17e6105d48071ab41aaa436d3fd35774227b242e6026b30ac82fd0b4f7ea8310a9bc0abe6abe5eca3e77ec62d6a48e7584222381dc7071803215cc3189ce973b
 DIST mathlib-tools-1.1.2.tar.gz 32477 BLAKE2B d49d8b05974b70db52e55dea7fdd91f82b05266a6ab2db50e12963b1d9991500088d4aa897a65c391b82e0996d57f5cad5ade8cc85ae85fccb0a03ed63a2f2c8 SHA512 2c0d4faa7a7610f16eca539f1ee369a18ffb6b947bd0ac55983dee8b651c258b9d1819d066dafcfdaf23e612c6e9fb7a3239ccb0b6ca5e51dabcc761bf9b815a
+DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.2.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.2.0.ebuild
new file mode 100644
index 000000000000..e89cd971f102
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.2.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/v${PV}.tar.gz
+		-> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${BDEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-11-13 22:07 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-11-13 22:07 UTC (permalink / raw
  To: gentoo-commits

commit:     9832651832a39956b9afc188bc6547576adb202c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 13 22:06:56 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Nov 13 22:07:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=98326518

sci-mathematics/mathlib-tools: bump to 1.3.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.3.0.ebuild       | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index c62544eeada8..19758219dc4b 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1 +1,2 @@
 DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0
+DIST mathlib-tools-1.3.0.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
new file mode 100644
index 000000000000..b9439cb1bcca
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	H=1ce2e7143b2456867f4a671a078a4e9af3c73c11
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/${H}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/${PN}-${H}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${BDEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-11-13 22:07 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-11-13 22:07 UTC (permalink / raw
  To: gentoo-commits

commit:     3d8d0a61699d2158e64f0f12321dd8a00d41849f
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 13 21:58:57 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Nov 13 22:07:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d8d0a61

sci-mathematics/mathlib-tools: drop old 1.1.2-r1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 -
 .../mathlib-tools/mathlib-tools-1.1.2-r1.ebuild    | 51 ----------------------
 2 files changed, 52 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 902911083695..c62544eeada8 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,2 +1 @@
-DIST mathlib-tools-1.1.2.tar.gz 32477 BLAKE2B d49d8b05974b70db52e55dea7fdd91f82b05266a6ab2db50e12963b1d9991500088d4aa897a65c391b82e0996d57f5cad5ade8cc85ae85fccb0a03ed63a2f2c8 SHA512 2c0d4faa7a7610f16eca539f1ee369a18ffb6b947bd0ac55983dee8b651c258b9d1819d066dafcfdaf23e612c6e9fb7a3239ccb0b6ca5e51dabcc761bf9b815a
 DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2-r1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2-r1.ebuild
deleted file mode 100644
index e89cd971f102..000000000000
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.2-r1.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Development tools for Lean's mathlib"
-HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
-else
-	SRC_URI="https://github.com/leanprover-community/${PN}/archive/v${PV}.tar.gz
-		-> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-BDEPEND="
-	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
-	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
-	dev-python/PyGithub[${PYTHON_USEDEP}]
-	dev-python/atomicwrites[${PYTHON_USEDEP}]
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-"
-RDEPEND="
-	${BDEPEND}
-	sci-mathematics/lean:0/3
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# Remove problematic tests (mainly issues with network)
-	rm ./tests/test_functional.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-11-13 22:07 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-11-13 22:07 UTC (permalink / raw
  To: gentoo-commits

commit:     69863e187e71bd687cc24d33a488be48edfd2740
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 13 21:58:48 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sun Nov 13 22:07:13 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=69863e18

sci-mathematics/mathlib-tools: drop old 1.1.1-r1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 -
 .../mathlib-tools/mathlib-tools-1.1.1-r1.ebuild    | 50 ----------------------
 2 files changed, 51 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 3f1a450ccffe..902911083695 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,3 +1,2 @@
-DIST mathlib-tools-1.1.1.tar.gz 32456 BLAKE2B 2cb81a6072aecc8a9c298c8bd0ac2edc7f44fecd290add5254a0c35b5e16fca4cfef32727acff883366d99101f7e62ad12709e59b317e34547fa49c404600366 SHA512 17e6105d48071ab41aaa436d3fd35774227b242e6026b30ac82fd0b4f7ea8310a9bc0abe6abe5eca3e77ec62d6a48e7584222381dc7071803215cc3189ce973b
 DIST mathlib-tools-1.1.2.tar.gz 32477 BLAKE2B d49d8b05974b70db52e55dea7fdd91f82b05266a6ab2db50e12963b1d9991500088d4aa897a65c391b82e0996d57f5cad5ade8cc85ae85fccb0a03ed63a2f2c8 SHA512 2c0d4faa7a7610f16eca539f1ee369a18ffb6b947bd0ac55983dee8b651c258b9d1819d066dafcfdaf23e612c6e9fb7a3239ccb0b6ca5e51dabcc761bf9b815a
 DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1-r1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1-r1.ebuild
deleted file mode 100644
index 4a38f370ad66..000000000000
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.1.1-r1.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Development tools for Lean's mathlib"
-HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
-
-if [[ "${PV}" == *9999* ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
-else
-	SRC_URI="https://github.com/leanprover-community/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-DEPEND="
-	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
-	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
-	dev-python/PyGithub[${PYTHON_USEDEP}]
-	dev-python/atomicwrites[${PYTHON_USEDEP}]
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-"
-RDEPEND="
-	${DEPEND}
-	sci-mathematics/lean:0/3
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# Remove problematic tests (mainly issues with network)
-	rm ./tests/test_functional.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-11-29 20:44 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-11-29 20:44 UTC (permalink / raw
  To: gentoo-commits

commit:     a8c215033b6e22bb7bf151f1d1026071459a4c35
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 29 20:29:47 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Nov 29 20:44:23 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8c21503

sci-mathematics/mathlib-tools: bump to 1.3.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.3.1.ebuild       | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 19758219dc4b..0311ca178453 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,2 +1,3 @@
 DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0
 DIST mathlib-tools-1.3.0.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
+DIST mathlib-tools-1.3.1.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
new file mode 100644
index 000000000000..b9439cb1bcca
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	H=1ce2e7143b2456867f4a671a078a4e9af3c73c11
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/${H}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/${PN}-${H}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${BDEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-12-17 17:02 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-12-17 17:02 UTC (permalink / raw
  To: gentoo-commits

commit:     b3c381fc490fc4eb3a1c9374a22dd38bcea068dc
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 17:01:53 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 17:02:34 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3c381fc

sci-mathematics/mathlib-tools: bump to 1.3.2

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 +
 .../mathlib-tools/mathlib-tools-1.3.2.ebuild       | 53 ++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 0311ca178453..20190d3f40ee 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,3 +1,4 @@
 DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0
 DIST mathlib-tools-1.3.0.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
 DIST mathlib-tools-1.3.1.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
+DIST mathlib-tools-1.3.2.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild
new file mode 100644
index 000000000000..b9439cb1bcca
--- /dev/null
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Development tools for Lean's mathlib"
+HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
+
+if [[ ${PV} == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
+else
+	H=1ce2e7143b2456867f4a671a078a4e9af3c73c11
+	SRC_URI="https://github.com/leanprover-community/${PN}/archive/${H}.tar.gz
+		-> ${P}.tar.gz"
+	S="${WORKDIR}"/${PN}-${H}
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="Apache-2.0"
+SLOT="0"
+
+BDEPEND="
+	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
+	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
+	dev-python/PyGithub[${PYTHON_USEDEP}]
+	dev-python/atomicwrites[${PYTHON_USEDEP}]
+	dev-python/certifi[${PYTHON_USEDEP}]
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/networkx[${PYTHON_USEDEP}]
+	dev-python/pydot[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}]
+	dev-python/tqdm[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${BDEPEND}
+	sci-mathematics/lean:0/3
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Remove problematic tests (mainly issues with network)
+	rm ./tests/test_functional.py || die
+
+	distutils-r1_python_prepare_all
+}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2022-12-17 17:02 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2022-12-17 17:02 UTC (permalink / raw
  To: gentoo-commits

commit:     dc9b74297658f1854d854c437700fec7d8b3c05d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 17 17:02:22 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Sat Dec 17 17:02:35 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc9b7429

sci-mathematics/mathlib-tools: drop old 1.2.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 -
 .../mathlib-tools/mathlib-tools-1.2.0.ebuild       | 51 ----------------------
 2 files changed, 52 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 20190d3f40ee..27cbcaa140df 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,4 +1,3 @@
-DIST mathlib-tools-1.2.0.tar.gz 33995 BLAKE2B ce1125fa786daa6292556e35dd596dfc819eab739f1dac65de4eb966873d86ab779e61372694da281123d64c36b1978afa359e2bb154cbf39cfa0f1677b5f0f6 SHA512 3691ef89ec0325d223ab56f6b09d0fd729d006a3ce6aa338e814b1cb3d014e670da6c16a52233ceb1c1dbd6f027c769f1adedfe53cbccc4be73803abf4475ae0
 DIST mathlib-tools-1.3.0.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
 DIST mathlib-tools-1.3.1.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
 DIST mathlib-tools-1.3.2.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.2.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.2.0.ebuild
deleted file mode 100644
index e89cd971f102..000000000000
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.2.0.ebuild
+++ /dev/null
@@ -1,51 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="Development tools for Lean's mathlib"
-HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
-else
-	SRC_URI="https://github.com/leanprover-community/${PN}/archive/v${PV}.tar.gz
-		-> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-BDEPEND="
-	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
-	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
-	dev-python/PyGithub[${PYTHON_USEDEP}]
-	dev-python/atomicwrites[${PYTHON_USEDEP}]
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-"
-RDEPEND="
-	${BDEPEND}
-	sci-mathematics/lean:0/3
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# Remove problematic tests (mainly issues with network)
-	rm ./tests/test_functional.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2023-01-10 14:31 Michał Górny
  0 siblings, 0 replies; 20+ messages in thread
From: Michał Górny @ 2023-01-10 14:31 UTC (permalink / raw
  To: gentoo-commits

commit:     b3310e00c2f6eb6234b07e20915f0b4d5186222e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 14:27:05 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 14:29:53 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3310e00

sci-mathematics/mathlib-tools: Remove Python < 3.10

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild | 4 ++--
 sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild | 4 ++--
 sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
index b9439cb1bcca..b97ef8a242c6 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_10 )
 
 inherit distutils-r1
 

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
index b9439cb1bcca..b97ef8a242c6 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_10 )
 
 inherit distutils-r1
 

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild
index b9439cb1bcca..b97ef8a242c6 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2022 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_10 )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2023-01-27 13:02 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2023-01-27 13:02 UTC (permalink / raw
  To: gentoo-commits

commit:     4e5079257c757c877c05e53d04e71676d550908b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 12:39:17 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 13:01:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e507925

sci-mathematics/mathlib-tools: drop old 1.3.1

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 -
 .../mathlib-tools/mathlib-tools-1.3.1.ebuild       | 53 ----------------------
 2 files changed, 54 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index b1bb511a4973..0b095783fe60 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,2 +1 @@
-DIST mathlib-tools-1.3.1.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
 DIST mathlib-tools-1.3.2.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
deleted file mode 100644
index b97ef8a242c6..000000000000
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.1.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_10 )
-
-inherit distutils-r1
-
-DESCRIPTION="Development tools for Lean's mathlib"
-HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
-else
-	H=1ce2e7143b2456867f4a671a078a4e9af3c73c11
-	SRC_URI="https://github.com/leanprover-community/${PN}/archive/${H}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}"/${PN}-${H}
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-BDEPEND="
-	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
-	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
-	dev-python/PyGithub[${PYTHON_USEDEP}]
-	dev-python/atomicwrites[${PYTHON_USEDEP}]
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-"
-RDEPEND="
-	${BDEPEND}
-	sci-mathematics/lean:0/3
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# Remove problematic tests (mainly issues with network)
-	rm ./tests/test_functional.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2023-01-27 13:02 Maciej Barć
  0 siblings, 0 replies; 20+ messages in thread
From: Maciej Barć @ 2023-01-27 13:02 UTC (permalink / raw
  To: gentoo-commits

commit:     b07d8bee87e72a73db28f0c32703a79c99ffbedc
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 27 12:36:07 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jan 27 13:01:59 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b07d8bee

sci-mathematics/mathlib-tools: drop old 1.3.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/mathlib-tools/Manifest             |  1 -
 .../mathlib-tools/mathlib-tools-1.3.0.ebuild       | 53 ----------------------
 2 files changed, 54 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/Manifest b/sci-mathematics/mathlib-tools/Manifest
index 27cbcaa140df..b1bb511a4973 100644
--- a/sci-mathematics/mathlib-tools/Manifest
+++ b/sci-mathematics/mathlib-tools/Manifest
@@ -1,3 +1,2 @@
-DIST mathlib-tools-1.3.0.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
 DIST mathlib-tools-1.3.1.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150
 DIST mathlib-tools-1.3.2.tar.gz 34918 BLAKE2B 4d54922cfe5de3d6671161081c49fe82568ad90795ece8ad43e9f62c75415204e62ff1822be213ab259371e82ea869ff63195056cc415a1f376fa0a4a438fb4f SHA512 250390e55170e5a7520f34dee27c9846351a64c4157e9f4a0ec1d0d9bf6b075b09187476375a90e7df2fdab6ce7b7b51ff03f1bf28007915242811f377ce3150

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
deleted file mode 100644
index b97ef8a242c6..000000000000
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.0.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_10 )
-
-inherit distutils-r1
-
-DESCRIPTION="Development tools for Lean's mathlib"
-HOMEPAGE="https://github.com/leanprover-community/mathlib-tools"
-
-if [[ ${PV} == *9999* ]] ; then
-	inherit git-r3
-	EGIT_REPO_URI="https://github.com/leanprover-community/${PN}.git"
-else
-	H=1ce2e7143b2456867f4a671a078a4e9af3c73c11
-	SRC_URI="https://github.com/leanprover-community/${PN}/archive/${H}.tar.gz
-		-> ${P}.tar.gz"
-	S="${WORKDIR}"/${PN}-${H}
-	KEYWORDS="~amd64 ~x86"
-fi
-
-LICENSE="Apache-2.0"
-SLOT="0"
-
-BDEPEND="
-	>=dev-python/GitPython-2.1.11[${PYTHON_USEDEP}]
-	>=dev-python/toml-0.10.0[${PYTHON_USEDEP}]
-	dev-python/PyGithub[${PYTHON_USEDEP}]
-	dev-python/atomicwrites[${PYTHON_USEDEP}]
-	dev-python/certifi[${PYTHON_USEDEP}]
-	dev-python/click[${PYTHON_USEDEP}]
-	dev-python/networkx[${PYTHON_USEDEP}]
-	dev-python/pydot[${PYTHON_USEDEP}]
-	dev-python/pyyaml[${PYTHON_USEDEP}]
-	dev-python/requests[${PYTHON_USEDEP}]
-	dev-python/tqdm[${PYTHON_USEDEP}]
-"
-RDEPEND="
-	${BDEPEND}
-	sci-mathematics/lean:0/3
-"
-
-distutils_enable_tests pytest
-
-src_prepare() {
-	# Remove problematic tests (mainly issues with network)
-	rm ./tests/test_functional.py || die
-
-	distutils-r1_python_prepare_all
-}


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2023-02-24  8:59 Andrew Ammerlaan
  0 siblings, 0 replies; 20+ messages in thread
From: Andrew Ammerlaan @ 2023-02-24  8:59 UTC (permalink / raw
  To: gentoo-commits

commit:     1af81fd6e3378f4ecf805ea53f96cddfa4792545
Author:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 24 08:58:54 2023 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Fri Feb 24 08:58:54 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1af81fd6

sci-mathematics/mathlib-tools: enable py3.11

Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild
index 812a7aaeeb5b..c18adafa5977 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_10 )
+PYTHON_COMPAT=( python3_{10..11} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/
@ 2024-07-31  9:24 Pacho Ramos
  0 siblings, 0 replies; 20+ messages in thread
From: Pacho Ramos @ 2024-07-31  9:24 UTC (permalink / raw
  To: gentoo-commits

commit:     95f3e4fcd107b42019e7be26ad7fc5f083cac0f9
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 31 08:32:29 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Wed Jul 31 09:23:07 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=95f3e4fc

sci-mathematics/mathlib-tools: enable py3.12

Closes: https://bugs.gentoo.org/929794
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild
index c18adafa5977..ff507d91bc0b 100644
--- a/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild
+++ b/sci-mathematics/mathlib-tools/mathlib-tools-1.3.2_p1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=8
 
 DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit distutils-r1
 


^ permalink raw reply related	[flat|nested] 20+ messages in thread

end of thread, other threads:[~2024-07-31  9:24 UTC | newest]

Thread overview: 20+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-01-10 14:31 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/mathlib-tools/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2024-07-31  9:24 Pacho Ramos
2023-02-24  8:59 Andrew Ammerlaan
2023-01-27 13:02 Maciej Barć
2023-01-27 13:02 Maciej Barć
2022-12-17 17:02 Maciej Barć
2022-12-17 17:02 Maciej Barć
2022-11-29 20:44 Maciej Barć
2022-11-13 22:07 Maciej Barć
2022-11-13 22:07 Maciej Barć
2022-11-13 22:07 Maciej Barć
2022-10-23 11:45 Maciej Barć
2022-10-23 11:45 Maciej Barć
2022-10-23 11:45 Maciej Barć
2022-08-26  0:32 Maciej Barć
2022-03-08 23:29 Maciej Barć
2022-03-08 23:29 Maciej Barć
2022-03-08 14:24 Maciej Barć
2021-12-25 20:46 Maciej Barć
2021-11-26 13:08 Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox